<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}
//print_r( $hmlsGridContentSettings );
foreach ( $hmlsGridContentSettings as $option_name => $option_value ) {
    if ( isset( $hmlsGridContentSettings[$option_name] ) ) {
        ${"" . $option_name} = $option_value;
    }
}
?>
<form name="hmls_grid_settings_form" role="form" class="form-horizontal" method="post" action="" id="hmls-grid-settings-form">
    <table class="hmls-grid-settings-table">
        <tr>
            <th scope="row" colspan="2" style="text-align:left; background:#EAEAEA;">
                <span><?php 
_e( 'General', 'hm-logo-showcase' );
?>&nbsp;::</span>
            </th>
        </tr>
        <tr class="hmls_cols_desktop">
            <th scope="row">
                <label for="hmls_cols_desktop"><?php 
_e( 'Logo Columns Desktop', 'hm-logo-showcase' );
?></label>
            </th>
            <td>
                <select name="hmls_cols_desktop" class="medium-text">
                    <?php 
for ($gridColsCounter = 1; $gridColsCounter < 11; $gridColsCounter++) {
    ?>
                        <option value="<?php 
    printf( '%d', $gridColsCounter );
    ?>" <?php 
    echo ( $gridColsCounter == $hmls_cols_desktop ? 'selected' : '' );
    ?> ><?php 
    printf( '%d', $gridColsCounter );
    ?></option>
                        <?php 
}
?>
                </select>
            </td>
        </tr>
        <tr>
            <th scope="row" colspan="2" style="text-align:left; background:#EAEAEA;">
                <span><?php 
_e( 'Logo Items', 'hm-logo-showcase' );
?>&nbsp;::</span>
            </th>
        </tr>
        <tr>
            <th scope="row">
                <label for="hmls_grid_display_tooltip"><?php 
_e( 'Display Tooltip', 'hm-logo-showcase' );
?></label>
            </th>
            <td>
                <?php 
?>
                        <span><?php 
echo '<a href="' . hls_fs()->get_upgrade_url() . '">' . __( 'Please Upgrade Now!', 'hm-logo-showcase' ) . '</a>';
?></span>
                        <?php 
?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label><?php 
_e( 'Logo Gap', 'hm-logo-showcase' );
?></label>
            </th>
            <td>
                <?php 
?>
                        <span><?php 
echo '<a href="' . hls_fs()->get_upgrade_url() . '">' . __( 'Please Upgrade Now!', 'hm-logo-showcase' ) . '</a>';
?></span>
                        <?php 
?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="hmls_grid_zoom_in"><?php 
_e( 'Zoom in on hover', 'hm-logo-showcase' );
?></label>
            </th>
            <td>
                <?php 
?>
                        <span><?php 
echo '<a href="' . hls_fs()->get_upgrade_url() . '">' . __( 'Please Upgrade Now!', 'hm-logo-showcase' ) . '</a>';
?></span>
                        <?php 
?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label><?php 
_e( 'Logo Width', 'hm-logo-showcase' );
?></label>
            </th>
            <td>
                <input type="number" min="10" max='100' step="1" name="hmls_grid_logo_width" value="<?php 
esc_attr_e( $hmls_grid_logo_width );
?>" >
                <code>%</code>
            </td>
        </tr>
    </table>
    <hr>
    <p class="submit">
        <button id="updateGridContent" name="updateGridContent" class="button hmls-button button-primary">
            <i class="fa fa-check-circle" aria-hidden="true"></i>&nbsp;<?php 
_e( 'Save Changes', 'hm-logo-showcase' );
?>
        </button>
    </p>
</form>